package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Ad8;
import com.realnet.angulardatatype.Services.Ad8Service ;


import com.realnet.angulardatatype.Entity.Support;


import com.realnet.stpkg.Entity.Childform;






@RequestMapping(value = "/token/Ad8")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Ad8Controller {
	@Autowired
	private Ad8Service Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Ad8")
		  public Ad8 Savedata(@RequestBody Ad8 data) {
		Ad8 save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Ad8/{id}")
	public  Ad8 update(@RequestBody Ad8 data,@PathVariable Integer id ) {
		Ad8 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Ad8/getall/page")
	public Page<Ad8> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Ad8> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Ad8")
	public List<Ad8> getdetails() {
		 List<Ad8> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Ad8")
	public List<Ad8> getallwioutsec() {
		 List<Ad8> get = Service.getdetails();		
		return get;
}
@GetMapping("/Ad8/{id}")
	public  Ad8  getdetailsbyId(@PathVariable Integer id ) {
		Ad8  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Ad8/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





@PutMapping("/Ad8/Support_update/{id}")
	public ResponseEntity<?> updateSupport(@PathVariable Integer id, @RequestBody Support data) {
		ResponseEntity<?> update = Service.updateSupport(id, data);
		System.out.println(update + " updateed");
		return update;
	}



@PutMapping("/Ad8/Childform_update/{id}")
	public ResponseEntity<?> updateChildform(@PathVariable Integer id, @RequestBody Childform data) {
		ResponseEntity<?> update = Service.updateChildform(id, data);
		System.out.println(update + " updateed");
		return update;
	}





}